---
title: "How to design for (and with) developers"
author: Suri Patel
author_gitlab: suripatel
author_twitter: gitlab
categories: insights
image_title: '/images/blogimages/discovering_gitlabs_personas.jpg'
description: "UX Manager Sarrah Vesselov shares her thoughts on how to design for
a developer audience."
tags: design, UX
twitter_text: "How to #design for developers: An interview with @SVesselov"
ee_cta: false
---

Designers have a challenging task: Solve problems to empower users to do their
best work. To understand how designers balance the demands of their roles as
problem solvers with the evolving needs of an audience, I chatted with UX Manager
[Sarrah Vesselov](/company/team/#SVesselov) about the considerations that go into designing for developers.

#### How has designing for developers evolved over time?

>“It has become more complex since developers are using tools to do multiple
things rather than a single thing.”

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/jbbH58ICs5o" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

#### How do you view developer feedback?

>“Developers are as close to designers as you get. We’re all problem solvers.”

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/EJlOJurVjFI" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

#### How has Hacker News feedback changed GitLab’s design?

>“Having a direct line to people who are using our product every day allows us to quickly iterate and make changes.
When I’m talking to people on Hacker News, I link them to issues, and I really value their feedback.”

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/nfHB8HBEwxs" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

#### What do you consider when trying to create positive UX experiences for developers?

>“It’s important to understand developers’ goals and motivations and what they’re trying to accomplish.”

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/I3lfB2yfslw" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

#### What’s the greatest challenge in designing for developers?

>“Things keep getting more and more complex. Trying to make life easier for someone is a challenge.”

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/l7yXDXtg_hU" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

#### What advice do you have for other designers who have developers in mind?

>“Make allies out of the developers you work with to better understand the developers you’re designing for.”

<!-- blank line -->
<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/oUrnGuSnNik" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

#### Interested in joining the UX team?
Our incredible [UX team](/handbook/engineering/ux/) is rapidly growing, and we'd love to be your teammate! If
you'd like to design for a developer audience, please apply for one of our open
[positions](/jobs).
